Subject: bug#12307: closed (Re: bug#12307: cut bug)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 29 Aug 2012 16:54:02 +0000

Your bug report

#12307: cut bug

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12307: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12307
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12307: cut bug
From: Eric Blake <[email-masked]>
To: Steve Roe <[email-masked]>
Cc: [email-masked]
Date: Wed, 29 Aug 2012 09:52:12 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 12307 notabug
thanks

On 08/29/2012 08:53 AM, Steve Roe wrote:
> I found a cut bug while I was running on the terminal. I can cut one field
> and it will display as normal. However when I try and cut multiple fields,
> it does not. For example this is what I type - "-d: -f2, f3 inputfile.dat".
> The following message displays - "cut: fields and positions are numbered
> from 1". Please advise. Thanks!

Your issue is learning the right syntax for calling cut, and not a bug
in cut itself.  Try using:

cut -d: -f2,3 inputfile.dat

(notice that specifying multiple fields requires compressing all of the
ranges into a single argument, with no space separation).

For now I'm closing this bug, although you can continue to reply to it
for further discussion.  Perhaps that means we should reopen this report
if someone is willing to write a documentation patch.

-- 
Eric Blake   [email-masked]    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Subject: cut bug
From: Steve Roe <[email-masked]>
To: [email-masked]
Date: Wed, 29 Aug 2012 11:53:01 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I found a cut bug while I was running on the terminal. I can cut one field
and it will display as normal. However when I try and cut multiple fields,
it does not. For example this is what I type - "-d: -f2, f3 inputfile.dat".
The following message displays - "cut: fields and positions are numbered
from 1". Please advise. Thanks!

S